# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateSyntaxModeListItem Class Reference

Information about each syntax hl Mode. More...

`#include <katesyntaxdocument.h>`

Collaboration diagram for KateSyntaxModeListItem:

[legend]
List of all members.

## Public Attributes

QString | name
QString | nameTranslated
QString | section
QString | mimetype
QString | extension
QString | identifier
QString | version
QString | priority
QString | author
QString | license
bool | hidden

## Detailed Description

Information about each syntax hl Mode.

Definition at line 29 of file katesyntaxdocument.h.

The documentation for this class was generated from the following file:

- katesyntaxdocument.h

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003